export declare const schemaRegex: RegExp;
import Joi from 'joi';
export declare const commonValidators: {
    schema_format: {
        pattern: RegExp;
        message: string;
    };
    schema_length: {
        minimum: number;
        maximum: number;
        tooLong: string;
    };
};
export declare const hdbSchemaTable: Joi.AlternativesSchema<any>;
export declare const hdbDatabase: Joi.AlternativesSchema<any>;
export declare const hdbTable: Joi.AlternativesSchema<any>;
export declare function checkValidTable(propertyName: any, value: any): string;
export declare function validateSchemaExists(value: any, helpers: any): any;
export declare function validateTableExists(value: any, helpers: any): any;
export declare function validateSchemaName(value: any, helpers: any): any;
